
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialSteam = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M760 920c54 0 128 -30 163 -65l30 -30c37 -39 60 -104 64 -160v-37c-8 -116 -89 -204 -183 -236c-54 -19 -71 -8 -87 -20l-200 -147c-9 -7 -12 -8 -17 -12c-14 -113 -113 -176 -211 -176c-71 0 -140 33 -177 104c-13 25 -14 34 -19 46l-99 40c-8 3 -18 9 -20 21l-2 12 v213c1 21 13 32 29 32c4 0 8 -1 13 -2c61 -25 123 -48 183 -74l16 7c33 14 52 16 88 16c5 7 12 17 16 23l89 127c7 9 31 43 39 57c6 89 34 135 89 191c43 41 119 70 196 70zM326 408c-34 0 -44 -4 -84 -21c-5 -2 -10 -3 -14 -3c-12 0 -24 7 -34 11c-49 20 -99 40 -148 60 v-189l99 -40c25 -12 19 -34 36 -65c28 -55 83 -80 139 -80c76 0 152 47 165 132l2 11c3 19 16 24 33 37l201 147c29 21 53 10 99 26c78 27 146 100 153 197v32c-3 45 -23 97 -52 131l-29 29c-35 32 -93 53 -150 53c-30 0 -61 -6 -88 -19c-85 -42 -131 -110 -139 -216 c-6 -11 -38 -57 -44 -65l-88 -126c-15 -16 -15 -39 -40 -42h-17zM317 125c-22 0 -45 11 -58 20c-11 8 -33 26 -37 40c24 -6 57 -29 94 -29c20 0 42 8 64 28c19 18 29 44 29 70c-4 64 -50 91 -104 106c2 3 1 4 6 4h11c73 0 121 -57 121 -119c0 -60 -42 -120 -126 -120z M620 655c0 73 59 133 132 133s133 -60 133 -133s-60 -132 -133 -132s-132 59 -132 132zM664 655c0 -49 39 -88 88 -88s89 39 89 88s-40 89 -89 89s-88 -40 -88 -89z"/></g>
    </Icon>
);

export default SlSocialSteam;
